org.apache.struts2.convention

## Class DefaultResultMapBuilder.ResultInfo

- java.lang.Object
- - org.apache.struts2.convention.DefaultResultMapBuilder.ResultInfo

- Enclosing class:
    DefaultResultMapBuilder

      protected class DefaultResultMapBuilder.ResultInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `location`
    `String` | `name`
    `String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultResultMapBuilder.ResultInfo(String name, Result result, PackageConfig packageConfig, String resultPath, Class<?> actionClass, Map<String,ResultTypeConfig> resultsByExtension)`
    `DefaultResultMapBuilder.ResultInfo(String name, String location, PackageConfig packageConfig, Map<String,ResultTypeConfig> resultsByExtension)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final String name

    - #### location

          public final String location

    - #### type

          public final String type

  - ### Constructor Detail

    - #### DefaultResultMapBuilder.ResultInfo

          public DefaultResultMapBuilder.ResultInfo(String name,
                                            String location,
                                            PackageConfig packageConfig,
                                            Map<String,ResultTypeConfig> resultsByExtension)

    - #### DefaultResultMapBuilder.ResultInfo

          public DefaultResultMapBuilder.ResultInfo(String name,
                                            Result result,
                                            PackageConfig packageConfig,
                                            String resultPath,
                                            Class<?> actionClass,
                                            Map<String,ResultTypeConfig> resultsByExtension)

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.